Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/identity_connections"{ "data": [ { "id": "string", "provider": "firebase", "issuer": "string", "audience": "string", "verification_url": "string", "algorithms": [ "RS256" ], "token_profile": "firebase_id", "authorized_parties": [ "string" ], "enabled": true, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/identity_connections" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "provider": "oidc", "issuer": "https://identity.example", "audience": "product", "verification_url": "https://identity.example/jwks", "algorithms": [ "RS256" ], "token_profile": "oidc_id" }'{ "id": "string", "provider": "firebase", "issuer": "string", "audience": "string", "verification_url": "string", "algorithms": [ "RS256" ], "token_profile": "firebase_id", "authorized_parties": [ "string" ], "enabled": true, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/identity_connections/string"{ "id": "string", "provider": "firebase", "issuer": "string", "audience": "string", "verification_url": "string", "algorithms": [ "RS256" ], "token_profile": "firebase_id", "authorized_parties": [ "string" ], "enabled": true, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/identity_connections/string" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "audience": "product" }'{ "id": "string", "provider": "firebase", "issuer": "string", "audience": "string", "verification_url": "string", "algorithms": [ "RS256" ], "token_profile": "firebase_id", "authorized_parties": [ "string" ], "enabled": true, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/identity_connections/string/disable" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "provider": "firebase", "issuer": "string", "audience": "string", "verification_url": "string", "algorithms": [ "RS256" ], "token_profile": "firebase_id", "authorized_parties": [ "string" ], "enabled": true, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customer_identity_bindings"{ "data": [ { "id": "string", "connection_id": "string", "customer_id": "string", "issuer": "string", "suspended_at": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customer_identity_bindings/string"{ "id": "string", "connection_id": "string", "customer_id": "string", "issuer": "string", "suspended_at": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/customer_identity_bindings/string" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "suspended": true }'{ "id": "string", "connection_id": "string", "customer_id": "string", "issuer": "string", "suspended_at": "2019-08-24T14:15:22Z", "security_generation": -9007199254740991, "provider_issued_at_cutoff": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/session_revocations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "customer_id": "string", "auth_epoch": 0}